# EntityPage.MainContent

**Category:** Base Components/Pages/Entity Page

## API

### Overview

A slot component for the main content area of an [`EntityPage`](./?path=/story/base-components-pages-entity-page--entitypage). Place it inside ``. This is where you render the primary form fields and cards.

```tsx
import { EntityPage } from '@wix/patterns/page';
```

### Usage

This component acts as a container for [EntityPage.Card](./?path=/story/base-components-pages-entity-page--entitypage-card) child components and is displayed on the left side of the Page layout. For examples of how this component is used, please refer to the [EntityPage](./?path=/story/base-components-pages-entity-page--entitypage&tab=Examples) examples.

### Props

| Prop | Type | Required | Default | Description |
|------|------|----------|---------|-------------|
| `dataHook` | `string` | No | - | Applies a data-hook HTML attribute that can be used in tests |

